Subject: Re: [PATCH net 1/4] mlxsw: core_acl_flex_actions: Return error for conflicting actions

From: Ido Schimmel <[email-masked]>
Date: Fri, 3 Aug 2018 16:03:54 +0300

+Stephen

On Fri, Aug 03, 2018 at 03:57:41PM +0300, Ido Schimmel wrote:
> From: Nir Dotan <[email-masked]>
> 
> Spectrum switch ACL action set is built in groups of three actions
> which may point to additional actions. A group holds a single record
> which can be set as goto record for pointing at a following group
> or can be set to mark the termination of the lookup. This is perfectly
> adequate for handling a series of actions to be executed on a packet.
> While the SW model allows configuration of conflicting actions
> where it is clear that some actions will never execute, the mlxsw
> driver must block such configurations as it creates a conflict
> over the single terminate/goto record value.
...
> Where it is clear that the last action will never execute, the
> mlxsw driver was issuing a warning instead of returning an error.
> Therefore replace that warning with an error for this specific
> case.
> 
> Fixes: 4cda7d8d7098 ("mlxsw: core: Introduce flexible actions support")
> Signed-off-by: Nir Dotan <[email-masked]>
> Reviewed-by: Jiri Pirko <[email-masked]>
> Signed-off-by: Ido Schimmel <[email-masked]>
> ---
>  .../mellanox/mlxsw/core_acl_flex_actions.c    | 42 +++++++++----------

Dave / Stephen, please note that this is going to conflict with recent
extack changes in net-next when you merge net into net-next.

Resolution is available here:
https://github.com/jpirko/linux_mlxsw/blob/combined_queue/drivers/net/ethernet/mellanox/mlxsw/core_acl_flex_actions.c

Thanks and sorry about the conflict